
QGIS Application - Bug report #8757

Vector cannot be styled by joined attributes

2013-10-03 01:59 AM - Radim Blazek

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17466

Description

Vector layers cannot be styled (categorized, graduated, ...) based on attributes from

joined table. All features are rendered in class with empty value.

Tested with two Shapefiles joined.

Associated revisions

Revision 5e14fea1 - 2013-10-10 11:46 AM - Matthias Kuhn

Add join field to provider request also when requesting a subset of attributes

Fixes #8757

History

#1 - 2013-10-04 05:59 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi, I cannot confirm here, try the attached shapefiles: join "join2" to "join1" and use the "code06" column to do the symbology.

#2 - 2013-10-04 06:00 AM - Giovanni Manghi

- File mestrado.zip added

#3 - 2013-10-05 12:43 AM - Radim Blazek

Thanks for testing.

For me it does not work. Table is OK, identify OK, feature counts for classes in legend are OK but everything is rendered with the color assigned to empty

value (NULL).

I tried also to check/uncheck "Cache join layer in virtual memory" and "Create attribute index on join field" but no effect.

Styles based on attributes from base layer are working without problems.

Current master dae9b5d9, GDAL 1.10.1, Debian 7.

#4 - 2013-10-06 03:48 AM - Giovanni Manghi
Radim Blazek wrote:

Thanks for testing.

For me it does not work. Table is OK, identify OK, feature counts for classes in legend are OK but everything is rendered with the color assigned to

empty value (NULL).

I tried also to check/uncheck "Cache join layer in virtual memory" and "Create attribute index on join field" but no effect.

Styles based on attributes from base layer are working without problems.

Current master dae9b5d9, GDAL 1.10.1, Debian 7.

so for you doesn't work with the data I have attached here?

#5 - 2013-10-06 11:42 PM - Radim Blazek

Giovanni Manghi wrote:

so for you doesn't work with the data I have attached here?

No.

#6 - 2013-10-09 11:31 PM - Denis Rouzaud

I confirm it does not work, also for rule-based symbologoy.

features not drawn but can be identified!

#7 - 2013-10-10 02:22 AM - Giovanni Manghi

- Category changed from Vectors to Symbology

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.0.1 to master

yeah I confirm it, I don't what I have done wrong the first time i tested. Isn't this a regression?

#8 - 2013-10-10 02:48 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"5e14fea1b856e4178f545c9a81ce7090240bc06c".

Files

mestrado.zip 3.07 MB 2013-10-04 Giovanni Manghi
